.topbar{

    height:74px;

    background:white;

    border-bottom:1px solid #eee;

    display:flex;

    justify-content:space-between;

    align-items:center;

    padding:0 28px;

    position:sticky;

    top:0;

    z-index:999;

}

.logo{

    display:flex;

    align-items:center;

    gap:12px;

    text-decoration:none !important;

    color:#114B3A;

    font-size:30px;

    font-weight:900;

    letter-spacing:-1px;

    line-height:1;

}

/* IMAGE */

.logo img{

    width:58px;

    height:58px;

    object-fit:contain;

    flex-shrink:0;

    display:block;

}

/* TEXT */

.logo span{

    color:#39B97F;

}

/* REMOVE UNDERLINE */

.logo:hover,
.logo:focus,
.logo:visited{

    text-decoration:none !important;

    color:#111;

}

/* MOBILE */

@media(max-width:768px){

    .logo{

        font-size:22px;

        gap:10px;

    }

    .logo img{

        width:46px;
    
        height:46px;
    
    }

}


/* RIGHT */

.right{

    display:flex;

    align-items:center;

    gap:12px;

}

.right a{

    text-decoration:none;

    color:#111;

    font-weight:700;

    padding:10px 16px;

    border-radius:12px;

    transition:0.2s;

}

.right a:hover{

    background:#f5f5f5;

}

.post-btn{

    background:#111;

    color:white !important;

}

/* COUNTRY */

.country-select{

    height:44px;

    border-radius:12px;

    border:1px solid #ddd;

    padding:0 12px;

    background:white;

}

/* MOBILE BUTTON */

.mobile-toggle{

    display:none;

    width:46px;
    height:46px;

    border:none;

    border-radius:12px;

    background:#f5f5f5;

    font-size:24px;

    cursor:pointer;

}

/* MOBILE */

@media(max-width:768px){

    .topbar{

        height:68px;

        padding:0 14px;

    }

    .logo{

        font-size:24px;

    }

    .mobile-toggle{

        display:block;

    }

    /* FLOATING MENU */

    .right{

        position:absolute;

        top:78px;

        right:14px;

        width:220px;

        background:white;

        border-radius:18px;

        padding:14px;

        box-shadow:
        0 10px 30px rgba(0,0,0,0.15);

        display:none;

        flex-direction:column;

        gap:8px;

        z-index:9999;

    }

    .right.active{

        display:flex;

    }

    .right a{

        width:100%;

        text-align:center;

        padding:12px;

        font-size:14px;
        
        backdrop-filter:blur(12px);

    }

    .country-select{

        width:100%;

        height:42px;

        font-size:14px;

    }

}